Package com.independentsoft.office.charts

# Class Title

java.lang.Object
com.independentsoft.office.charts.Title

public class Title extends Object
The Class Title.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Title()`
  Instantiates a new title.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Title`
  `clone()`
  `ChartShapeProperties`
  `getChartShapeProperties()`
  Gets the chart shape properties.
  `ChartText`
  `getChartText()`
  Gets the chart text.
  `Layout`
  `getLayout()`
  Gets the layout.
  `TextProperties`
  `getTextProperties()`
  Gets the text properties.
  `boolean`
  `isOverlay()`
  Checks if is overlay.
  `void`
  `setChartText​(ChartText chartText)`
  Sets the chart text.
  `void`
  `setLayout​(Layout layout)`
  Sets the layout.
  `void`
  `setOverlay​(boolean overlay)`
  Sets the overlay.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Title

    public Title()
    Instantiates a new title.

- ## Method Details

  - ### clone

    public Title clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getLayout

    public Layout getLayout()
    Gets the layout.
    Returns:
      the layout

  - ### setLayout

    public void setLayout​(Layout layout)
    Sets the layout.
    Parameters:
      `layout` - the new layout

  - ### isOverlay

    public boolean isOverlay()
    Checks if is overlay.
    Returns:
      true, if is overlay

  - ### setOverlay

    public void setOverlay​(boolean overlay)
    Sets the overlay.
    Parameters:
      `overlay` - the new overlay

  - ### getChartShapeProperties

    public ChartShapeProperties getChartShapeProperties()
    Gets the chart shape properties.
    Returns:
      the chart shape properties

  - ### getChartText

    public ChartText getChartText()
    Gets the chart text.
    Returns:
      the chart text

  - ### setChartText

    public void setChartText​(ChartText chartText)
    Sets the chart text.
    Parameters:
      `chartText` - the new chart text

  - ### getTextProperties

    public TextProperties getTextProperties()
    Gets the text properties.
    Returns:
      the text properties